Bug 134746 - gcc-gnat does not update correctly /usr/share/info/dir
gcc-gnat does not update correctly /usr/share/info/dir
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-05 19:04 EDT by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 14:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-10-05 19:04:40 EDT
Description of problem:

While running an update the following shows up:

install-info: menu item `GNAT User's Guide' already exists, for file
`gnat_ug'

Apparently 'gnat_ug.info.gz' was there before and got replaced
with 'gnat_ugn_unw.info.gz'.  Unfortunately preuninstall and
postinstall scriptlets do not mention anything about 'gnat_ug'
and the net effect is that a corresponding menu entry ends up
pointing to a non-existent file.

How about adding to scriplets something in that style

grep -q 'gnat_ug)' && /sbin/install-info --delete \
  --info-dir=/usr/share/info /usr/share/info/gnat_ug.info.gz

or making this conditional on an existence of 
/usr/share/info/gnat_ug.info.gz ?

Version-Release number of selected component (if applicable):
gcc-gnat-3.4.2-4
Comment 1 Jakub Jelinek 2004-10-06 14:53:38 EDT
If the buggy rpm was released as part of a stable distribution, then
I guess something like that would be needed.  But the buggy rpms
were solely in FC3test*.

Note You need to log in before you can comment on or make changes to this bug.